---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libhs204t004.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x508B0, symBinAddr: 0x7200, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x527F0, symBinAddr: 0x9140, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52BE0, symBinAddr: 0x9530, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53B80, symBinAddr: 0xA4D0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53B90, symBinAddr: 0xA4E0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50520, symBinAddr: 0x70D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50524, symBinAddr: 0x70D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50528, symBinAddr: 0x70D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50680, symBinAddr: 0x70E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50738, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5073C, symBinAddr: 0x719C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50740, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50744, symBinAddr: 0x71A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50748, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50750, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50768, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50770, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50778, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50780, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50788, symBinAddr: 0x71E8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x507D0, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0x90ED, offset: 0x90ED, size: 0x8, addend: 0x0, symName: __ZL7cloader, symObjAddr: 0x507D8, symBinAddr: 0x71F8, symSize: 0x0 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x16D0, symSize: 0x80 }
  - { offsetInCU: 0x91D4, offset: 0x91D4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1620, symSize: 0xB0 }
  - { offsetInCU: 0x922F, offset: 0x922F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1520, symSize: 0x100 }
  - { offsetInCU: 0x94C2, offset: 0x94C2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1750, symSize: 0xC0 }
  - { offsetInCU: 0x9514, offset: 0x9514, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1810, symSize: 0x220 }
  - { offsetInCU: 0x96F9, offset: 0x96F9, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1A30, symSize: 0xA0 }
  - { offsetInCU: 0x97AC, offset: 0x97AC, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1AD0, symSize: 0x110 }
  - { offsetInCU: 0x98A2, offset: 0x98A2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1BE0, symSize: 0x150 }
  - { offsetInCU: 0x99D3, offset: 0x99D3, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1D30, symSize: 0x30 }
  - { offsetInCU: 0x9AC0, offset: 0x9AC0, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1D60, symSize: 0x150 }
  - { offsetInCU: 0x9CB8, offset: 0x9CB8, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1EB0, symSize: 0x160 }
  - { offsetInCU: 0x9F78, offset: 0x9F78, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2010, symSize: 0x4A0 }
  - { offsetInCU: 0xA211, offset: 0xA211, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x24B0, symSize: 0x1B0 }
  - { offsetInCU: 0xA42C, offset: 0xA42C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2660, symSize: 0xA0 }
  - { offsetInCU: 0xA553, offset: 0xA553, size: 0x8, addend: 0x0, symName: _nsk_jvmti_redefineClass, symObjAddr: 0x2C40, symBinAddr: 0x2700, symSize: 0x2D0 }
  - { offsetInCU: 0xA835, offset: 0xA835, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x29D0, symSize: 0x20 }
  - { offsetInCU: 0xA86C, offset: 0xA86C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x29F0, symSize: 0x20 }
  - { offsetInCU: 0xA8A3, offset: 0xA8A3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2A10, symSize: 0x20 }
  - { offsetInCU: 0xAA52, offset: 0xAA52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2A30, symSize: 0x1A0 }
  - { offsetInCU: 0xAD78, offset: 0xAD78, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2BD0, symSize: 0x80 }
  - { offsetInCU: 0xAE41, offset: 0xAE41, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2C50, symSize: 0x6A0 }
  - { offsetInCU: 0xB9D6, offset: 0xB9D6, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA110, symBinAddr: 0x3EF0, symSize: 0xB0 }
  - { offsetInCU: 0xBA4D, offset: 0xBA4D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x32F0, symSize: 0x70 }
  - { offsetInCU: 0xBB6D, offset: 0xBB6D, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3360, symSize: 0xA0 }
  - { offsetInCU: 0xBC78, offset: 0xBC78, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3400, symSize: 0x40 }
  - { offsetInCU: 0xBD6E, offset: 0xBD6E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3440, symSize: 0x2B0 }
  - { offsetInCU: 0xC114, offset: 0xC114, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x36F0, symSize: 0xC0 }
  - { offsetInCU: 0xC25A, offset: 0xC25A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x37B0, symSize: 0x10 }
  - { offsetInCU: 0xC31C, offset: 0xC31C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x37C0, symSize: 0x220 }
  - { offsetInCU: 0xC619, offset: 0xC619, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x39E0, symSize: 0x10 }
  - { offsetInCU: 0xC676, offset: 0xC676, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x39F0, symSize: 0x160 }
  - { offsetInCU: 0xC93F, offset: 0xC93F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D70, symBinAddr: 0x3B50, symSize: 0x10 }
  - { offsetInCU: 0xC9D4, offset: 0xC9D4, size: 0x8, addend: 0x0, symName: _callbackClassLoad, symObjAddr: 0x9D80, symBinAddr: 0x3B60, symSize: 0x100 }
  - { offsetInCU: 0xCC07, offset: 0xCC07, size: 0x8, addend: 0x0, symName: _callbackBreakpoint, symObjAddr: 0x9E80, symBinAddr: 0x3C60, symSize: 0x170 }
  - { offsetInCU: 0xCDA5, offset: 0xCDA5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS204_hs204t004_hs204t004_popFrame, symObjAddr: 0x9FF0, symBinAddr: 0x3DD0, symSize: 0x120 }
  - { offsetInCU: 0xCF3D, offset: 0xCF3D, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA1C0, symBinAddr: 0x3FA0, symSize: 0x36A }
...
